org.vertx.java.deploy.impl.java

## Class MemoryFileManager

- java.lang.Object
- - javax.tools.ForwardingJavaFileManager<javax.tools.JavaFileManager>
  - - org.vertx.java.deploy.impl.java.MemoryFileManager

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, javax.tools.JavaFileManager, javax.tools.OptionChecker

    public class MemoryFileManager
    extends javax.tools.ForwardingJavaFileManager<javax.tools.JavaFileManager>

Java in-memory file manager used by `CompilingClassLoader` to handle compiled classes

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.tools.JavaFileManager

`javax.tools.JavaFileManager.Location`

### Field Summary

### Fields inherited from class javax.tools.ForwardingJavaFileManager

`fileManager`

### Constructor Summary

Constructors
Constructor and Description
`MemoryFileManager(java.lang.ClassLoader classLoader, javax.tools.JavaFileManager fileManager)`

### Method Summary

Methods
`byte[]` `getCompiledClass(java.lang.String name)`
`javax.tools.JavaFileObject` `getJavaFileForOutput(javax.tools.JavaFileManager.Location location, java.lang.String className, javax.tools.JavaFileObject.Kind kind, javax.tools.FileObject sibling)`
`java.lang.String` `inferBinaryName(javax.tools.JavaFileManager.Location location, javax.tools.JavaFileObject file)`
`java.lang.Iterable<javax.tools.JavaFileObject>` `list(javax.tools.JavaFileManager.Location location, java.lang.String packageName, java.util.Set<javax.tools.JavaFileObject.Kind> kinds, boolean recurse)`

### Methods inherited from class javax.tools.ForwardingJavaFileManager

`close, flush, getClassLoader, getFileForInput, getFileForOutput, getJavaFileForInput, handleOption, hasLocation, isSameFile, isSupportedOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryFileManager

    public MemoryFileManager(java.lang.ClassLoader classLoader,
                     javax.tools.JavaFileManager fileManager)

### Method Detail

#### getJavaFileForOutput

    public javax.tools.JavaFileObject getJavaFileForOutput(javax.tools.JavaFileManager.Location location,
                                                  java.lang.String className,
                                                  javax.tools.JavaFileObject.Kind kind,
                                                  javax.tools.FileObject sibling)
                                                    throws java.io.IOException

Specified by:
  `getJavaFileForOutput` in interface `javax.tools.JavaFileManager`
Overrides:
  `getJavaFileForOutput` in class `javax.tools.ForwardingJavaFileManager<javax.tools.JavaFileManager>`
Throws:
  `java.io.IOException`

#### getCompiledClass

    public byte[] getCompiledClass(java.lang.String name)

#### inferBinaryName

    public java.lang.String inferBinaryName(javax.tools.JavaFileManager.Location location,
                                   javax.tools.JavaFileObject file)

Specified by:
  `inferBinaryName` in interface `javax.tools.JavaFileManager`
Overrides:
  `inferBinaryName` in class `javax.tools.ForwardingJavaFileManager<javax.tools.JavaFileManager>`

#### list

    public java.lang.Iterable<javax.tools.JavaFileObject> list(javax.tools.JavaFileManager.Location location,
                                                      java.lang.String packageName,
                                                      java.util.Set<javax.tools.JavaFileObject.Kind> kinds,
                                                      boolean recurse)
                                                        throws java.io.IOException

Specified by:
  `list` in interface `javax.tools.JavaFileManager`
Overrides:
  `list` in class `javax.tools.ForwardingJavaFileManager<javax.tools.JavaFileManager>`
Throws:
  `java.io.IOException`